Package io.vertx.ext.consul

## Enum HealthState

- java.lang.Object
- - java.lang.Enum<HealthState>
  - - io.vertx.ext.consul.HealthState

- All Implemented Interfaces:
    `Serializable`, `Comparable<HealthState>`

      public enum HealthState
      extends Enum<HealthState>

  Represents an health states.
  Author:
    Lukas Prettenthaler

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANY` |
    `CRITICAL` |
    `PASSING` |
    `WARNING` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `key` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HealthState` | `of​(String key)` |
    `static HealthState` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static HealthState[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PASSING

          public static final HealthState PASSING

    - #### WARNING

          public static final HealthState WARNING

    - #### CRITICAL

          public static final HealthState CRITICAL

    - #### ANY

          public static final HealthState ANY

  - ### Field Detail

    - #### key

          public final String key

  - ### Method Detail

    - #### values

          public static HealthState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HealthState c : HealthState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HealthState valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### of

          public static HealthState of​(String key)